Strophe: Server did not yet offer a supported authentication mechanism. Sending a blank poll request

Hi all,

I have this problem. I have recently installed Jitsi on an Ubuntu following the instructions: jitsi devop quick start guide on github, jitsi secure domain devops guide, installing-the-token-plugin section on jitsi github.

There are some solutions in other threads as updating prosody config files but none of them worked for me.

/var/log/prosody/prosody.log ends with following two lines, which may be relevant:
Dec 10 07:02:42 bosha794d4c2-aaca-44e2-b474-5ca65c380ccf warn No available SASL mechanisms, verify that the configured authentication module is working
Dec 10 07:12:16 bosha794d4c2-aaca-44e2-b474-5ca65c380ccf info BOSH client disconnected: session close

Any piece of help will be appreciated :slight_smile:

Thanks

after I followed the below steps, I got rid of the error message (at least in the case when I supplied token)

sudo apt-get install libssl1.0-dev (or something similar; there is a problem about libssl version 1.0)
sudo apt-get install luarocks
sudo luarocks install luacrypto
sudo apt-get install jitsi-meet-tokens

Now I get an error probably indicating that token is invalid.

the case is closed for me :slight_smile: There were problems with the token.